[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / TableColumnMenuComponent

# Class: TableColumnMenuComponent

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:38](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L38)

## Implements

- `AfterContentInit`

## Constructors

### new TableColumnMenuComponent()

> **new TableColumnMenuComponent**(): [`TableColumnMenuComponent`](TableColumnMenuComponent.md)

#### Returns

[`TableColumnMenuComponent`](TableColumnMenuComponent.md)

## Properties

### columns?

> `optional` **columns**: `QueryList`\<[`TableColumnOptionComponent`](TableColumnOptionComponent.md)\>

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:45](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L45)

***

### displayColumns

> **displayColumns**: `string`[] = `[]`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:47](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L47)

## Accessors

### inline

#### Get Signature

> **get** **inline**(): `boolean` \| `""`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:52](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L52)

##### Returns

`boolean` \| `""`

#### Set Signature

> **set** **inline**(`value`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:61](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L61)

true - the menu is displayed inline and not absolute

##### Parameters

###### value

`boolean` | `""`

##### Returns

`void`

***

### matCard

#### Set Signature

> **set** **matCard**(`value`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:66](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L66)

##### Parameters

###### value

`boolean` | `""`

##### Returns

`void`

***

### visibleColumns

#### Get Signature

> **get** **visibleColumns**(): `undefined` \| [`TableColumnOptionComponent`](TableColumnOptionComponent.md)[]

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:40](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L40)

##### Returns

`undefined` \| [`TableColumnOptionComponent`](TableColumnOptionComponent.md)[]

## Methods

### activate()

> **activate**(`columnName`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:88](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L88)

#### Parameters

##### columnName

`string`

#### Returns

`void`

***

### deactivate()

> **deactivate**(`columnName`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:95](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L95)

#### Parameters

##### columnName

`string`

#### Returns

`void`

***

### ngAfterContentInit()

> **ngAfterContentInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:73](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L73)

A callback method that is invoked immediately after
Angular has completed initialization of all of the directive's
content.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`AfterContentInit.ngAfterContentInit`

***

### updateDisplayColumns()

> **updateDisplayColumns**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:77](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts#L77)

#### Returns

`void`
